Changeset 144 for ThirdParty/ASL/trunk


Ignore:
Timestamp:
Nov 27, 2006 6:45:18 PM (13 years ago)
Author:
andreasw
Message:

included latest changes from coin.m4

File:
1 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/ASL/trunk/configure

    r136 r144  
    25572557rm -f conftest.err conftest.$ac_objext \
    25582558      conftest$ac_exeext conftest.$ac_ext
     2559  fi
     2560
     2561  # if PM doesn't want the warning messages, take them out
     2562  if test x"$coin_skip_warn_cflags" = xyes; then
     2563    coin_warn_cflags=
    25592564  fi
    25602565
     
    50765081
    50775082if test x"$coin_vpath_link_files" = x; then : ; else
    5078   lnkcmd=
    5079   if test "$enable_doscompile" = yes; then
    5080     lnkcmd=cp
    5081   fi
    5082   case "$CC" in
    5083     cl* | */cl*)
    5084       lnkcmd=cp ;;
    5085   esac
    5086   if test "$lnkcmd" = cp; then
    5087     { echo "$as_me:$LINENO: Copying data files for VPATH configuration" >&5
    5088 echo "$as_me: Copying data files for VPATH configuration" >&6;}
    5089   else
    5090     echo "$as_me:$LINENO: checking whether ln -s works" >&5
    5091 echo $ECHO_N "checking whether ln -s works... $ECHO_C" >&6
    5092 LN_S=$as_ln_s
    5093 if test "$LN_S" = "ln -s"; then
    5094   echo "$as_me:$LINENO: result: yes" >&5
    5095 echo "${ECHO_T}yes" >&6
    5096 else
    5097   echo "$as_me:$LINENO: result: no, using $LN_S" >&5
    5098 echo "${ECHO_T}no, using $LN_S" >&6
    5099 fi
    5100 
    5101     { echo "$as_me:$LINENO: Creating VPATH links for data files" >&5
     5083  { echo "$as_me:$LINENO: Creating VPATH links for data files" >&5
    51025084echo "$as_me: Creating VPATH links for data files" >&6;}
    5103     lnkcmd="$LN_S"
    5104   fi
    51055085  for file in $coin_vpath_link_files; do
    5106     dir=`(dirname "./$file") 2>/dev/null ||
    5107 $as_expr X"./$file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
    5108          X"./$file" : 'X\(//\)[^/]' \| \
    5109          X"./$file" : 'X\(//\)$' \| \
    5110          X"./$file" : 'X\(/\)' \| \
    5111          .     : '\(.\)' 2>/dev/null ||
    5112 echo X"./$file" |
    5113     sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
    5114           /^X\(\/\/\)[^/].*/{ s//\1/; q; }
    5115           /^X\(\/\/\)$/{ s//\1/; q; }
    5116           /^X\(\/\).*/{ s//\1/; q; }
    5117           s/.*/./; q'`
    5118     if test -d $dir; then : ; else
    5119       { if $as_mkdir_p; then
    5120     mkdir -p $dir
    5121   else
    5122     as_dir=$dir
    5123     as_dirs=
    5124     while test ! -d "$as_dir"; do
    5125       as_dirs="$as_dir $as_dirs"
    5126       as_dir=`(dirname "$as_dir") 2>/dev/null ||
    5127 $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
    5128          X"$as_dir" : 'X\(//\)[^/]' \| \
    5129          X"$as_dir" : 'X\(//\)$' \| \
    5130          X"$as_dir" : 'X\(/\)' \| \
    5131          .     : '\(.\)' 2>/dev/null ||
    5132 echo X"$as_dir" |
    5133     sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
    5134           /^X\(\/\/\)[^/].*/{ s//\1/; q; }
    5135           /^X\(\/\/\)$/{ s//\1/; q; }
    5136           /^X\(\/\).*/{ s//\1/; q; }
    5137           s/.*/./; q'`
    5138     done
    5139     test ! -n "$as_dirs" || mkdir $as_dirs
    5140   fi || { { echo "$as_me:$LINENO: error: cannot create directory $dir" >&5
    5141 echo "$as_me: error: cannot create directory $dir" >&2;}
    5142    { (exit 1); exit 1; }; }; }
    5143 
    5144     fi
    51455086    rm -f $file
    5146     $lnkcmd $abs_source_dir/$file $file
     5087    $LN_S $abs_source_dir/$file $file
    51475088  done
    51485089fi
Note: See TracChangeset for help on using the changeset viewer.